Categories:
  - Games
License: Apache-2.0
WebSite: https://github.com/nikita36078/J2ME-Loader/wiki
SourceCode: https://github.com/nikita36078/J2ME-Loader
IssueTracker: https://github.com/nikita36078/J2ME-Loader/blob/HEAD/README.md/issues
Translation: https://crowdin.com/project/j2me-loader

AutoName: J2ME Loader
Description: |-
    J2ME Loader is a J2ME emulator for Android. It supports most 2D games and also
    3D with some limitations. Emulator has a virtual keyboard, individual settings
    for each application, scaling support. This project is a fork of J2meLoader.

RepoType: git
Repo: https://github.com/nikita36078/J2ME-Loader.git

Builds:
  - versionName: 1.3.1
    versionCode: 46
    commit: 1.3.1
    subdir: app
    gradle:
      - open
    prebuild:
      - sed -i -e 's/28.0.0-rc1/28.0.0/' ../build.gradle
      - sed -i -e '/versionNameSuffix/d' build.gradle
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.3
    versionCode: 48
    commit: 1.3.3
    subdir: app
    gradle:
      - open
    prebuild: sed -i -e '/versionNameSuffix/d' build.gradle
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.4
    versionCode: 49
    commit: 1.3.4
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.6
    versionCode: 51
    commit: 1.3.6
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.7
    versionCode: 52
    commit: 1.3.7
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.8
    versionCode: 55
    commit: 1.3.8
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.3.9
    versionCode: 56
    commit: 1.3.9
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.0
    versionCode: 57
    commit: 1.4.0
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.1
    versionCode: 58
    commit: 1.4.1
    subdir: app
    gradle:
      - fdroid
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.2
    versionCode: 59
    commit: 1.4.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.3
    versionCode: 60
    commit: 1.4.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.4
    versionCode: 61
    commit: 1.4.4
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.5
    versionCode: 62
    commit: 1.4.5
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.6
    versionCode: 63
    commit: 1.4.6
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.7
    versionCode: 64
    commit: 1.4.7
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.4.9
    versionCode: 66
    commit: 1.4.9
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.5.0
    versionCode: 67
    commit: 1.5.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

  - versionName: 1.5.1
    versionCode: 68
    commit: 1.5.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e 's/5.2-/5.1-/' ../gradle/wrapper/gradle-wrapper.properties
    scanignore:
      - app/src/main/java/javax/microedition/shell/MyClassLoader.java
    ndk: r16b

MaintainerNotes: 'The class loader is needed for the main function of the app: load
    JARs.'

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.5.1
CurrentVersionCode: 68
